AutoCAD 2013 :: Multiple Selection For Ncopy
Jul 23, 2013Ncopy let us to copy object from blocks without explode but I couldn't select object multiple or by window selection..
what I can do to select multiple while using NCOPY command.
Ncopy let us to copy object from blocks without explode but I couldn't select object multiple or by window selection..
what I can do to select multiple while using NCOPY command.
I have been using to copy multiple objects from x-refs. The problem I'm having is that when I have the user input prompts in a macro i can screw up the command if i accidentally miss picking my selection set. I'm new to LISP and having trouble with selection sets and selection filtering.
On another note: I'm trying to rename layers copied this way to remove the "$0$" and using the rename command swapping $0$* with * works, however in the -rename command it does not.
When I select a hatch or polyline or any object with grips for that matter, and hold down shift to select multiple grips on the object or objects and then press my middle mouse button to pan or scroll it to zoom, the grips that I have selected de-select, meaning I have to set up the view so that all the grips I want to move are visible before selecting them.
This is only happening on some drawings (although it is most of them) and only when I use 2012 not 2011. Which system variable it is that has gone screwy that I need to reset? or is it something else?
I am trying to copy objects from an xref, and when I select the objects from the xref, they appear to the side of where they are actually located. So, effectively, if I want to place the objects in exactly the same spot where they are in the xref, I have to try and eyeball it, or take the additional step of moving them into place, which is becoming very time consuming.
View 8 Replies View RelatedThe NCOPY command used to allow you to copy a nested object onto the current layer in the active drawing. Now, in 2012, it seems to copy the nested object, but it brings the reference layer with it. Is there a setting that can be changed so I can still do the former?
View 2 Replies View RelatedI recently added 2 monitors to my set up to bring my total to 3. I am trying to figure out the best way to work on one drawing, with 2 differant veiws on each of the 2 main screens.
I would like my main screen to have the plan view and the second monitor to have an isometric veiw (or whatever I need at the time) of the same drawing. Is there a way to have the same drawing opened up in another window, in one session of Autocad 2013. One on the main screen and one on the secondary.
to select object on a single layer
Dim strLayer as string = "road"acTypValAr.SetValue(New TypedValue(DxfCode.LayerName, strLayer), 2)
how do you select all objects on multiple layers
Dim strLayer as string = "road,sidewalks"acTypValAr.SetValue(New TypedValue(DxfCode.LayerName, strLayer), 2)
the above does not work. how do you select all objects on multiple layers?
There are blocks in the drawing, each containing several nested entities. Need a command which would find all the nested entities which got into the selection area provided by user (not necessary to select entities, just get the ids). GetNestedEntity() does what I need but for a single entity only.
Selection of 'Trim' command does exactly what I need. How could I achieve the same behaviour?
From the AutoDESK docs [URL] ......
"AutoCAD.Application.ActiveDocument.SelectionSets. Add method
Not needed/provided" in VB.Net
Thus 'Autodesk.AutoCAD.ApplicationServices.Application. DocumentManager.MdiActiveDocument.SelectionSets' will not work.
So, I can't store multiple selection sets in VB.Net?
Why is it not provided? Or is there some other way to do that?
All of a sudden my Cad is now not allowing me to select multiple items one at a time without deselected the ones before. Everytime I select a new item to move it, the grips off of another item I would be moving would deselect. Where is the setting to set this back to where I can individually select multiple items without AutoCad deselecting the what I had selected already.
View 3 Replies View RelatedIm trying to deploy AutoCAD 2013 multi language. English + German.
I have included the Service Pack 1.1 and the plain english deployment is working find via the admin image.
Then downloaded the german language pack here: [URL].......
Plus the recommended hotfix on the page:
We are also providing a "hotfix" for Autodesk Content Explorer at the bottom of this download page, required after installing an AutoCAD 2013 language pack.
Uninstalling old Content Explorer + installing Language pack works(as depoyment package). But then Im stucking at this hotfix
How do I create an admin image or install it silent. Nothing seems to work.
i'm trying to create a routine, where i can select multiple windows in modelspace, and the plot a multisheet pdf.but I'm having trouble to create multiple pages, it only generates 1 page
I have modified sourcecode from Kean Walmsley:
[URL]
- this routine creates a single-page pdf with only the last selected window.
- the pc3-file I use is able to create multisheets because the original routine with paperspace works fine
- I think it has maybe something to do with the pi.Layout = lo.Id ?
<CommandMethod("mplot2")> Public Sub MultiSheetPlot2() Dim doc As Document = Application.DocumentManager.MdiActiveDocument Dim ed As Autodesk.AutoCAD.EditorInput.Editor = doc.Editor Dim db As Database = doc.Database Dim tr As Transaction = db.TransactionManager.StartTransaction() Using tr Dim bt As BlockTable = DirectCast(tr.GetObject(db.BlockTableId, OpenMode.ForRead), BlockTable) Dim pi As New PlotInfo() Dim piv As New PlotInfoValidator() piv.MediaMatchingPolicy = MatchingPolicy.MatchEnabled ' A PlotEngine does the actual plotting ' (can also create one for Preview) If PlotFactory.ProcessPlotState = Autodesk.AutoCAD.PlottingServices.ProcessPlotState.NotPlotting Then Dim pe As PlotEngine = PlotFactory.CreatePublishEngine() Using pe ' Create a Progress
[code]....
My question is, if there any tool /command, utility in autocad to select all objects of one type at one time : for example all text objects or all dimention objects if these objects on different layers and have different properties. in my work I have to insert many blocks(not annotative) or parts of drawings which were created by other people and have different from mine settings and properties of text and dimention objects. the insertions add so many layers and objects that I spend lots of time to correct them and to figure it out.
is there any way( command, utility) to select and manage all of these objects at one time?
P.S.i think it is very unconvenient that the plain autocad does not have dimentions and text as families or some sort of groups that s easy to manage.
What I am trying to do is create a selection set of blocks with the same name. Then step through the selection set and if the block has an attribute "Tag" with a Specific "Value" then get the insert point.
View 2 Replies View RelatedWhen a file has many surfaces, gradings and sites manually delete them is slow ¿is there a method to select multiple sites, surfaces and gradings on prospector and delete them all at once and not one by one?
View 1 Replies View RelatedCan we have an option in the Options/Selection tab in AutoCAD to "Use CTRL to add to selection"?
Essentially, so that I can set up AutoCAD to select objects in the same way that Revit does.
At the present time, when I switch back to AutoCAD from Revit, it's easy to forget when I've got objects off screen selected when I select a new object to modify. Having the option to set both packages to operate the same would be good.
Unfortunately, this won't stop me from trying to use AutoCAD keyboard shortcuts when I'm using Revit
I have an array of all the same block with a few attributes. All attributes need just slightly different data (like incrementing numbers). It is extremely tedious to select the block, enter the data, cancel the selection and then select the next block. Is there an easy way to select all the blocks up front and then modify them one at a time by "cycling through the selection"? I'm specifically looking for a key-command that will de-select the current block and select the next one so I can stay in my properties window.
It's also worth mentioning that I'm on LT and there aren't enough blocks to make ATTOUT/IN worth it (or possible).
i have a question about wipeouts. I have just upgraded to acad 2014 from 2011. Now in 2014, I can turn off wipeout frames, but if my mouse crosses over one, it highlights so I can select it. How do i turn that off? I don't want the frame to highlight unless i select it.
View 3 Replies View RelatedThe answer to this post is not the pickfirst variable. I select text, a line, anything really then right click, copy and nothing it loses the selection set and waits for me to now select something. I know it sounds like pickfirst, but pickfirst is set to 1.
2013 Autocad vanilla.All service packs and updates.
Selection of overlapping viewports,I go two overlapping viewports.The issue here that I couldn't access the model space of the small viewport. Double clicking it will access the model space of the big viewport.
View 2 Replies View RelatedI know that when I select a group of objects and then list them, the list displays the properties in the order I drew them, is there any option I can change this order? I mean, for example the direction I select them or something like that.
View 1 Replies View RelatedI am having problems with the selection commands,
Ctrl + A
Deselect all as they seem to be unknown commands? (Quick select in properties does work) I have loaded my own profile (but have used the default profile aswell to check, still no joy)
How do I multiply select 2 or more layers using PS2?
View 1 Replies View RelatedWhen selecting an object in 2013, entering the command and trying to select the object without moving the mouse will not select the object on the first pick. You must select the object a second time before the object is selected and highlighted.
Steps to reproduce:
1) Hover over desired object
2) Enter command on keyboard (M, E, CO, etc...
3) Do not move the mouse and attempt to select the object
Nothing is selected or highlighted
4) Attempt to select the object a second time
Object is now selected and highlighted
The same thing occurs if you attempt to create a selection window or crossing window immediately after entering a command without moving the mouse and clicking the first point.
This does not occur in vanilla 2012. I do have Raster Design installed with 2013, so not sure if the issue stems from the add-on or not.
When I am working with 3D models, autocad keeps changing my ucs by a face I am near. I want to work in the current ucs and not change. How to change this setting?
View 3 Replies View RelatedMy office is launching 2013 and the one issue that is really bothering me is the selection preview variable keeps getting reset <0> and I cannot figure out what is causing it?
I like to have the selection variable set to <3> and my selection cycling set <-2> so I can hold down shift and tap space bar to visually cycle through overlapping objects but this is very difficult to do when the selection preview variable resets to none <0>.
I think the new box popup in this release is very bothersome and would like to figure this glitch out.
I'd like to insert a block into a big selection of points. Any way or have I to look at customization routines.
View 3 Replies View RelatedI just upgraded to Autocad 2014.
With regards to selection cycling, when it's turned on, the dialog box pops up in the middle of my screen which is exactly where I DON'T want it as that's usually where I'm working and it causes all kinds of selection issues. Regardless of the settings I choose in the options, it comes up in the middle of my screen.
I've tried setting the position to static and then dragging the box to the side but on the next click, it pops up in the original centered location. I've also tried every possible configuration in the options box to stop this behavior.
Is there a way I can do a multiple selection from within a group (without ungrouping)?
View 9 Replies View RelatedI would like to know if it's possible to set a value to a multiple vertex selection.
Exemple : I have 15 vertex selected with different values on z axis.
I want to set all vertex to -100mm for exemple (in one action).
I have an ADMHierarchyList and I need it to support multiple selection. I see numerous places in the documention that indicate there is a way to set multiple selection (e.g. "... in a list that supports multiple selection..."), but don't see a way to actually set this behavior.
View 3 Replies View Related